Subject: Bug#920903: openjdk-11-jdk-headless: ships documentation for JDK 8, not JDK 11

From: Thorsten Glaser <[email-masked]>
Date: Wed, 30 Jan 2019 14:57:44 +0100

Package: openjdk-11-jdk-headless
Version: 11.0.2+7-1
Severity: important

I saw in https://bugs.openjdk.java.net/browse/JDK-8217581 that
“ (The page for JDK 9 does list correct values.) ” and I was like,
hey, I’ve seen it on my system too!

Turns out that yes.

tglase@tglase:~ $ realpath /usr/share/man/man1/javadoc.1.gz                                                     
/usr/lib/jvm/java-11-openjdk-x32/man/man1/javadoc.1.gz
tglase@tglase:~ $ man -l /usr/lib/jvm/java-11-openjdk-x32/man/man1/javadoc.1.gz 2>/dev/null | tail -1           
JDK 8                            03 March 2015                      javadoc(1)

This is a bug, mismatching documentation that does not document
the installed software correctly is being installed.

-- System Information:
Debian Release: buster/sid
  APT prefers unreleased
  APT policy: (500, 'unreleased'), (500, 'buildd-unstable'), (500, 'unstable')
Architecture: x32 (x86_64)
Foreign Architectures: i386, amd64

Kernel: Linux 4.18.0-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=C (charmap=UTF-8)
Shell: /bin/sh linked to /bin/lksh
Init: sysvinit (via /sbin/init)

Versions of packages openjdk-11-jdk-headless depends on:
ii  libc6                    2.28-5
ii  openjdk-11-jre-headless  11.0.2+7-1
ii  zlib1g                   1:1.2.11.dfsg-1

openjdk-11-jdk-headless recommends no packages.

Versions of packages openjdk-11-jdk-headless suggests:
pn  openjdk-11-demo    <none>
ii  openjdk-11-source  11.0.2+7-1

-- no debconf information